%define branch_source_date 20060724
%define __libtoolize    /bin/true

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig libkdevelop
%define lib_major 3
%define lib_name %mklibname kdevelop %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevelop %old_lib_major

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 3.3.3
Release: %mkrel 3
Epoch: 3
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version-%branch_source_date.tar.bz2
Source1: c_cpp_reference-2.0.2.tar.bz2
Source2: kdevelop-3.0-Makefile.PL
Source3: admin-kde-3.5.tar.bz2
Patch0: kdevelop-3.2.1-stdcppfix.patch
Group: Development/C++
BuildRoot: %_tmppath/%name-%version-%release-root
License: GPL

BuildRequires: kdelibs-devel >= 3.2-13mdk 
BuildRequires: libjpeg-devel
BuildRequires: png-devel 
%if %mdkversion <= 200600
BuildRequires:	XFree86-devel
%else
BuildRequires:	X11-devel
%endif
BuildRequires: libart_lgpl-devel
BuildRequires: flex
BuildRequires: libkdesdk-cervisia-devel
BuildRequires: graphviz
BuildRequires: qt3-doc
BuildRequires: db-devel
BuildRequires: subversion-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
%if %compile_apidox
BuildRequires: doxygen
%endif
%py_requires -d

Requires: enscript 
Requires: gcc-c++ 
Requires: gcc-cpp 
Requires :arts 
Requires: openssl-devel
Requires: kdegraphics kdelibs-devel kdesdk  kdeutils
%if %mdkversion <= 200600
Requires: XFree86-devel
%else
Requires: libx11-devel
%endif
Requires: jpeg-devel 
Requires: qt3-devel 
Requires: make 
Requires: perl 
Requires: sgml-tools 
Requires: gettext 
Requires: libz-devel
Requires: kdbg  
Requires: ctags
Requires: png-devel libart_lgpl-devel libtool
Requires: automake
Requires: autoconf
Requires: autoconf2.5
Requires: awk
Requires: %lib_name = %epoch:%version-%release
Requires: kdesdk-cervisia, 
Requires: doxygen
Requires: graphviz
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Conflicts: mandrake-mime <= 0.4-5mdk

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it to
     the "Tools" menu according to your individual needs.

%post
%update_menus
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache crystalsvg
%endif


%postun
%clean_menus
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%endif

%files
%defattr(-,root,root) 
%_bindir/*
%_datadir/applications/kde/*
%_libdir/kde3/*
%_datadir/apps/*
%_datadir/desktop-directories/kde-development-kdevelop.directory
%_datadir/icons/*/*/*/*
%_datadir/config/kdeveloprc
%_datadir/mimelnk/*/*.desktop
%_datadir/services/*
%_datadir/servicetypes/*
%_menudir/*
%_libdir/kconf_update_bin/kdev-gen-settings-kconf_update
%_datadir/config/kdevassistantrc

#------------------------------------------------

%package -n %lib_name-devel
Summary: Development files for kdevelop
Group: Development/KDE and Qt

Obsoletes: kdevelop-devel, %old_lib_name-devel
Provides: kdevelop-devel = %epoch:%version-%release
Requires: %lib_name = %epoch:%version-%release

%description -n %lib_name-devel
Development files for kdevelop.

%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/*.so
%dir %_includedir/kdevelop
%dir %_includedir/kinterfacedesigner
%_includedir/*/*

#------------------------------------------------

%package -n %lib_name
Summary: Libraries files for kdevelop
Group: Development/KDE and Qt
Obsoletes: %old_lib_name
Provides: %lib_name_orig = %epoch:%version-%release

%description -n %lib_name
Libraries files for kdevelop.

%post -n %lib_name-devel -p /sbin/ldconfig
%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%_libdir/*.la
%_libdir/*.so.*


#------------------------------------------------

%package doc
Summary: Development files for kdevelop
Group: Development/KDE and Qt

%description doc
Documentation kdevelop.

%files doc
%defattr(-,root,root)
%dir %_docdir/HTML/en/kdevelop
%_docdir/HTML/en/kdevelop/*
%dir %_docdir/HTML/en/kde_app_devel
%_docdir/HTML/en/kde_app_devel/*
%doc %_docdir/HTML/en/kdevelop-apidocs

#------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .stdcpp

# Templates have a too old admin directory
# This leads newly kde based projects not detect proper
# x86_64 and new auto tools details. We're updating for 3.5 admin
pushd parts/appwizard/common
   rm -rf admin
   tar xfj %SOURCE3
popd

%build
export QTDIR=%_prefix/lib/qt3
QTDOCDIR=%_defaultdocdir/qt-*/doc/html

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
   --with-qtdoc-dir=$QTDOCDIR \
   --enable-scripting \
   --with-apr-config=%_bindir/apr-1-config \
   --with-apu-config=%_bindir/apu-1-config \
   --with-kdelibsdoc-dir=%_docdir/HTML/en/ 

%make
%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot

####                                                       ####
#### Convert KDE menu structure to Mandriva menu structure ####
####                                                       ####

%makeinstall_std

# Create LMDK menus
install -d %buildroot/%_datadir/applications/kde/

#Create LMDK menu entries
install -d %buildroot/%_menudir/
for kdev in kdevelop kdevdesigner kdevassistant kdevelop_c_cpp kdevelop_kde_cpp kdevelop_ruby kdevelop_scripting; do
	kdedesktop2mdkmenu.pl kdevelop "More Applications/Development/Development Environments" %buildroot/%_datadir/applications/kde/${kdev}.desktop %buildroot/%_menudir/kdevelop-${kdev}
done

(
cd $RPM_BUILD_DIR/%name-%version/
rm -rf perl-kdevelop
mkdir perl-kdevelop/
cd perl-kdevelop/
install -m 0755 %SOURCE2 Makefile.PL
ln ../parts/appwizard/common/kdevelop.pm kdevelop.pm
perl Makefile.PL INSTALLDIRS=vendor
make install DESTDIR=%buildroot
)

%clean
rm -fr %buildroot





%changelog
* Mon Jul 24 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-24 21:03:03 (42033)
- Removed unused patches
- Added branch tarball until 3.3.4 is made available
- Fixed subversion/apt/apu compilation. Now subversion works
- Fixed admin template issue. Now admin from 3.5.x is used on newly KDE projects
  created.
- Removed debug and enable final for compilation

* Sun Jul 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-23 12:54:52 (41928)
- Disable debug

* Fri Jun 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-23 18:36:32 (37991)
- 3.3.3

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Fri May 19 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-19 08:41:14 (27664)
- Rebuild against new xorg

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 16:05:28 (26983)
- Rebuild to generate category

* Fri Apr 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-14 16:14:40 (26493)
- 3.3.2

* Wed Feb 08 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-08 13:42:56 (1630)
- 3.3.1

* Tue Jan 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-01-31 17:55:08 (1515)
- Activate debug for cooker only
  MDK9.2 is obsolete now

* Tue Dec 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-06 07:56:02 (1249)
- Add missing buildrequires found by Christiaan Welvaart

* Wed Nov 30 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-30 16:21:18 (1227)
- Real kdevelop 3.3.0

* Tue Nov 15 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-15 11:28:24 (1163)
- 3.3.0 (named rc1)

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:09:11 (1121)
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch

* Thu Oct 27 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-27 11:39:39 (1098)
- 3.2.92

* Wed Oct 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-10-26 21:11:16 (1089)
- We are Mandriva now

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 09:05:19 (858)
- Rebuild

* Tue Aug 30 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-30 11:46:57 (772)
- Fix compile on x86_64

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 11:46:28 (422)
- Update source

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 11:45:43 (421)
- 3.2.2

* Wed Jul 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-06 06:31:09 (304)
- Fix typo

* Wed Jul 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-06 05:03:22 (303)
- Fix buildrequires now that we have qt3-static-devel

* Wed Jul 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-06 04:04:20 (301)
- Fix spec file

* Tue Jun 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-21 09:47:29 (227)
- Fiz typo on %%%%patch

* Tue Jun 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-21 09:27:41 (226)
- Fixed build. Some strange combination in %%%%configure macro make construction
  on some cpp link break without any notice.
- Added patch for non standard cpp header flaw.

* Thu Jun 16 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-16 14:49:04 (219)
- Imported to subversion
- Updated for 3.2.1
- Removed all old broken patches
- Added remove blacklist patch to avoid gcc test agains gcc 4.0.0 mdk version
- Added pthread patch to link with internal bdb, and avoid problems associted,
  including wrong install on system conflicting with libdb42-static-devel and
  causing system to became unstable if some app linked agains libdb.a whith
  previous kdevelop installed. This fix code completion generation.
- Redesigned and clean entire spec file, creating new doc subpackage

* Thu Jun 16 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-16 12:56:00 (218)
- Added 3.2.0 original current spec before update to 3.2.1

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 19:48:22 (125)
- Uploading package ./kdevelop

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-2mdk
- Rebuild with debug
- Use --enable-new-ldflags

* Mon Apr 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-1mdk
- 3.2.0

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.2-11mdk
- fix build on lib64 platforms
- build internal bdb static lib with PIC as it is linked into a DSO

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Add patch22: fix mdk bug #13873 "URL has changed for ClanLib doc"

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Remove conflict on .h

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Remove conflict

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Disable debug

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Fix generate menu

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Add graphviz add requires

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Add patch19: fix compile with python2.4 (patch commited into kde cvs and kde 3.3 branch) 

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Sync with CVS

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Rebuild with new perl

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- %%buildfor

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.3.1

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-1mdk
- 3.1.0

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-13mdk
- Fix menu

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-12mdk
- Rebuild with new menu translation table

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-11mdk
- Remove debug

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-10mdk
- Add buildrequires

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-9mdk
- Fix spec file:

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-8mdk
- Add patch18: remove rpath (patch from gb)

* Mon Jul 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-7mdk
- Add patch16: fix kde bug #73420 "Do not allow to add the same file twice."
- Add patch17: fix potential crash into autoproject

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-6mdk
- Fix configure

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-5mdk
- Add patch15: fix import version

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-4mdk
- Add requires doxygen to generate doc into kdevelop project
- Add patch14: fix import spec file

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-3mdk
- Generate doc

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- Rebuild with new kdelibs

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Apply patch send by Nick Brown <nickbroon@blueyonder.co.uk>

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Sync with CVS

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch13: fix crash #9809

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Rebuild "enable-debug"

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-12mdk
- Fix anthill bug #463 (requires autoconf2.5)

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-11mdk
- use %%configure
- use mdkversion

* Tue Mar 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-10mdk
- Fix compile under amd64 (Gb patch)

* Wed Mar 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-9mdk
- Add requires libtool bug #8973 (otherwise we can't compile project)

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-8mdk
- Fix install kdevelop.pm (thanks Titi)

* Mon Mar 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-7mdk
- Add patch13: "Remove redundent space in output message when reporting gdb and path see #74133"
- Add patch14: fix crash into kfileselector

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-6mdk
- Sync with CVS 

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-5mdk
- Sync with CVS
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-4mdk
- Sync with CV

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-3mdk
- Sync with CVS
- Build with good kdelibs (kdedesktop2mdkmenu.pl)

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Fix distint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.1mdk
- Sync with CVS

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.1mdk
- RC1

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.11mdk
- Fix requires on "kdesdk-cervisia"

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.10mdk
- Fix type s/clear_menu/clean_menu
- Sync with CVS

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.9mdk
- Fix menu
- Fix requires

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.8mdk
- Fix buildRequires (found by Nicolas Chipaux)
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type 

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.7mdk
- Fix update from MDK9.2

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.6mdk
- Fix requires

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.5mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.4mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.3mdk
- Sync with CVS

* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.2mdk
- Fix compile with !mdk10.0

* Wed Dec 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta2.1mdk
- Beta2

* Thu Dec 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.5mdk
- Sync with CVS

* Wed Nov 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.4mdk
- Sync with CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.3mdk
- Sync with CVS 

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.2mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.beta1.1mdk
- Fix version
- Fix qtdocdir patch from "kelk1@comcast.net"

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.7mdk
- Fix provides/requires
- Fix menu
- Sync with CVS: remove conflict with kdelibs

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.6mdk
- Fix compile with new mandrake release

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.5mdk
- Sync

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.4mdk
- Sync with CVS

* Mon Oct 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.3mdk
- Sync with CVS 

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.2mdk
- Sync with CVS

* Tue Sep 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.alpha7.1mdk
- 3.0.0 alpha7

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-16mdk
- Fix ia64 compile ( patch from Gwenole)

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-15mdk
- Use xvt as term. Bug found by Chmouel

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-14mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-13mdk
- Fix requires/Provides/Obsolete

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-12mdk
- Add patch11: Fix kmessagebox, bug found by David Baudens

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-11mdk
- Fix BuildRequires

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-10mdk
- Fix provides/obsoletes

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-9mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-8mdk
- Rebuild

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-7mdk
- Fix requires

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-6mdk
- Remove config with automake/autoconf

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-5mdk
- Fix kdevelop script as reported by shirka@wanadoo.fr thanks.
=> fix bug #3773

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-4mdk
- Add patch9: patch from gbeauchesne@mandrakesoft.com Handle biarch struct utmp in documentation

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-3mdk
- Fix compile with automake-1.4

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-2mdk
- Fix build requires 

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-5mdk
- Add source9 : fix theme template compile

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-4mdk
- Add source4-5-6 : fix template kdevelop. Fix compile, include moc etc...

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-3mdk
- Add requires

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Thu Nov 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.4-1mdk
- 2.1.4

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-7mdk
- Fix for compile on cooker version

* Sat Sep 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-6mdk
- Fix C reference

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-5mdk
- Conflict with automake1.6/autoconf2.5

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-4mdk
- Add patch8 : fix mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-3mdk
- Rebuild

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-2mdk
- Fix compile template with automake-1.4 and autoconf-2.13

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-5mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-4mdk
- Rebuild against gcc-3.2

* Fri Jul 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-3mdk
- Remove requires on htdig

* Fri Jul 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-2mdk
- Remove dependance from htdig_dev
- Fix spec file

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-1mdk
- kdevelop2.1.2
- Fix exec kdevelop (by menu )
- Fix exec qtdesigner

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-5mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- fix menu entry

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-2mdk
- Fix spec file

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- rebuild against gcc3.1

* Mon Apr 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package 

